.header-1 {
  display: flex; 
  justify-content: space-between; /*Horizontally space items */
  align-items: center;/*Vertically center items */
  font-size: 20px;
  top: auto 0px;
  position: fixed;
  background-color: rgb(255, 255, 255);
  width: 100%;
  z-index: 10004;
  top:0px

}

#name {
  /*width: 100px;*/
  /*font-family: "Playwrite HU", cursive;*/
  height: auto;
  padding-left: 100px;
  padding-top: 15px;
  text-align: center;
  justify-content: center;
  align-items: center;
  font-family: "Cormorant SC", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 25px;
  text-decoration: none;
  color: black;
}

.heading-format {
  /*width: 100px;*/
  /*font-family: "Playwrite HU", cursive;*/
  height: auto;
  /*padding-left: 100px;*/
  padding-top: 15px;
  text-align: center;
  justify-content: top;
  align-items: top;
  font-family: "Cormorant SC", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 25px;
  text-decoration: none;
  color: black;
}

.heading-format-chinese {
    /*width: 100px;*/
    /*font-family: "Playwrite HU", cursive;*/
    height: auto;
    /*padding-left: 100px;*/
    padding-top: 15px;
    text-align: center;
    justify-content: top;
    align-items: top;
    font-family: "LXGW WenKai Mono TC", monospace;
    font-weight: 400;
    font-style: normal;
    font-size: 25px;
    text-decoration: none;
    color: black;
}



.heading-format-hindi {
    /*width: 100px;*/
    /*font-family: "Playwrite HU", cursive;*/
    height: auto;
    /*padding-left: 100px;*/
    padding-top: 15px;
    text-align: center;
    justify-content: top;
    align-items: top;
    font-family: "Martel", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 25px;
    text-decoration: none;
    color: black;
}

.other-headings{
  display: flex;
  flex-direction: row;
  gap: 20px; /* Space between the two headings */
  justify-items: right;
  margin-right: auto 0px;
  position:absolute;
  right:120px;
  top:33px
}

.small-changes {
    padding-top: 4px;
}


/* START OF HAMBURGER MENU CSS */
/*THIS IS ONLY CSS FOR THE HAMBURGER MENU*/
/*WARNING: CONFUSION AHEAD*/
/*LINK TO VIDEO: https://www.youtube.com/watch?v=aNDqzlAKmZc */

/* off-screen menu for hamburger */
.off-screen-menu {
  display: none;
  height: 100%;
  width: 20%;
  min-width: 200px;
  background-color: rgb(255, 255, 255);
  position: fixed;
  display: flex;
  /*flex-direction: column;*/
  /*justify-content: center;*/
  transition: 0.3s ease;
  top: 0%;
  z-index: 1000;
  right: -4000px;
  align-items: left;
  text-align: left;
  transition: 0.3s ease;
  box-shadow: -0.9ch -.9ch 0.9ch rgba(139, 103, 138, 0.2); 
  display:none;

}

.off-screen-menu.active {
  right: 0px;
}

nav {
  padding: 3rem;
  display: flex;
  background-color: rgb(255, 255, 255);
  
}

.hamburger-menu {
  height: 40px;
  width: 40px; 
  margin-left: auto 0px;
  position: fixed;
  background-color: transparent; /* add color to see and adjust the clickable area */
  top: 40px;
  right: 50px; /* Adjust position based on mini-intro padding */;
  z-index: 1003;
  padding: 1px;
  display: none;
}

.hamburger-menu:hover {
  cursor: pointer;
}

.hamburger-menu span {
  height: 3px;
  width: 40px; 
  background-color: rgb(207, 78, 216);
  border-radius: 25px;
  top: 0%;
  align-items: right;
  transform: translate(-2.5px, -50%);
  transition: 0.3s ease;
  z-index: 1001;
  position: fixed;
  /*display: none;*/
}

/* "Child stuff" meaning the 3 different lines*/
.hamburger-menu span:nth-child(1) {
  top: 50px;
  right:48px;
  background-color: rgb(128, 36, 153);
}
.hamburger-menu span:nth-child(2) {
  top: 60px;
  right:48px;
  background-color: rgb(174, 72, 202);
}
.hamburger-menu span:nth-child(3) {
  top: 70px;
  right:48px;
  background-color: rgb(206, 130, 227);
}

.hamburger-menu.active span:nth-child(1) {
  top: 57px;
  transform: translate(-50%, -0%) rotate(45deg);
  background-color: rgb(250,190,230);
}
.hamburger-menu.active span:nth-child(2) {
  opacity: 0;
}
.hamburger-menu.active span:nth-child(3) {
  top: 57px;
  transform: translate(-50%,0%) rotate(-45deg);
  background-color: rgb(250,190,230);
}

.menu-items {
  font: 20px ;
  /*font-family: "Quicksand", sans-serif;*/
  font-weight: 400;
  z-index: 2;
  text-align: left;
  padding-left: 0px;
  /*text-shadow: .1ch .1ch 0.1ch rgba(230, 186, 220, 0.9);*/
  color: rgb(0, 0, 0);
  text-decoration: none; /* Removes underlines from the links */
  background-color: transparent;
  padding-bottom: 30px;
  display: block;
  font-family: "Cormorant SC", serif;
  font-weight: 400;
  font-style: normal;
  font-size: 25px;
}
.hindi-menu-items {
  font: 20px ;
  z-index: 2;
  text-align: left;
  padding-left: 0px;
  /*text-shadow: .1ch .1ch 0.1ch rgba(230, 186, 220, 0.9);*/
  color: rgb(0, 0, 0);
  text-decoration: none; /* Removes underlines from the links */
  background-color: transparent;
  padding-bottom: 30px;
  display: block;
  font-family: "Martel", serif;
  font-weight: 300;
  font-style: normal;
  
}


.cn-menu-items {
  font: 20px ;
  /*font-family: "Quicksand", sans-serif;*/
  z-index: 2;
  text-align: left;
  padding-left: 0px;
  /*text-shadow: .1ch .1ch 0.1ch rgba(230, 186, 220, 0.9);*/
  color: rgb(0, 0, 0);
  text-decoration: none; /* Removes underlines from the links */
  background-color: transparent;
  padding-bottom: 30px;
  display: block;
  font-family: "LXGW WenKai Mono TC", monospace;
  font-weight: 300;
  font-style: normal;
  font-size: 25px;
}

.menu-items-2 {
  font: 20px ;
  font-family: "Noto Serif Georgian", serif;
  z-index: 2;
  text-align: right;
  padding-left: 0px;
  /*text-shadow: .1ch .1ch 0.1ch rgba(230, 186, 220, 0.9);*/
  color: rgb(0, 0, 0);
  text-decoration: none; /* Removes underlines from the links */
  background-color: transparent;
  margin-bottom: 30px;
}

.menu-items-container {
  align-items: left;
  height: 900px;
  padding-top: 100px;
  padding-right: 100px;
  background-color: transparent;
  padding-left: 20px;
}


/*@media (max-width: 600px) {
  .hamburger-menu span {
    display: block;
  }
}*/
/* END OF HAMBURGER MENU CSS */
/*THIS WAS ONLY CSS FOR THE HAMBURGER MENU*/
/*YAY: CONFUSION IS DONE (FOR NOW)*/


@media (max-width: 700px) {
  #about-me {
    display: none;
  }
  #photo-diary {
    display: none;
  }

  #language-icon {
    display: none;
  }

  /*#name {
    display: none;
  }*/

}

@media (max-width: 700px) {
  .off-screen-menu,.hamburger-menu {
    display: block; /* or flex if you're using flexbox */
  }
}


/*language popup*/

.popup {
  display: none; /* hidden by default */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.4);
  z-index: 2000;
}

.popup-content {
  background: white;
  padding: 20px;
  width: 150px;
  border-radius: 10px;
  position: absolute;
  top: 100px;
  right: 100px;
}

#close-popup {
  cursor: pointer;
  float: right;
  font-size: 20px;
}

#language-icon:hover {
  cursor: pointer;
}

.popup-header-text{
    font-family: "Cormorant SC", serif;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}

.popup-text a{
    font-family: "Cormorant SC", serif;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}

.popup-text-end a{
    font-family: "Cormorant SC", serif;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}


.popup-text{
    padding-bottom: 20px;
}


.popup-header-text-cn{
    font-family: "LXGW WenKai Mono TC", monospace;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}

.popup-text-cn a{
    font-family: "LXGW WenKai Mono TC", monospace;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}

.popup-text-end-cn a{
    font-family: "LXGW WenKai Mono TC", monospace;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}


.popup-text-cn{
    padding-bottom: 20px;
    font-family: "LXGW WenKai Mono TC", monospace;
}

.popup-header-text-hindi{
    font-family: "Martel", serif;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}

.popup-text-hindi a{
    font-family: "Martel", serif;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}

.popup-text-end-hindi a{
    font-family: "Martel", serif;
    text-decoration: none;
    color: rgb(0, 0, 0);
    font-size: 20px;
}


.popup-text-hindi{
    padding-bottom: 20px;
    font-family: "Martel", serif;
}

